Skip to contents

# Function reference

## All functions

`abort_bad_argument()`
  Abord bad argument

`add_admin_boundaries()`
  Add admin boundaries (lines) and the legend

`add_admin_labels()`
  Wrapper around `tmap::tm_text()` with sane defaults for plotting admin labels.

`add_compass()`
  Add a compass

`add_credits()`
  Do you want to credit someone or some institution?

`add_indicator_layer()`
  Wrapper around `tmap::tm_polygons()` with sane defaults for plotting indicator values

`add_layout()`
  Basic defaults based on `tmap::tm_layout()`

`add_scale_bar()`
  Add a scale bar

`bar_reach()`
  Simple bar chart

`border_admin0`
  Haïti border.

`buffer_bbox()`
  Bbbox buffer

`centroid_admin1`
  Haïti admin 1 centroids shapefile.

`cols_agora()`
  Function to extract AGORA colors as hex codes

`cols_impact()`
  Function to extract IMPACT colors as hex codes

`cols_reach()`
  Function to extract REACH colors as hex codes

`frontier_admin0`
  Haïti frontier with Dominican Republic.

`if_not_in_stop()`
  Stop statement "If not in colnames" with colnames

`if_vec_not_in_stop()`
  Stop statement "If not in vector"

`indicator_admin1`
  Indicator admin 1 polygons shapefile.

`line_admin1`
  Haïti admin 1 lines shapefile.

`pal_agora()`
  Return function to interpolate an AGORA color palette

`pal_impact()`
  Return function to interpolate an IMPACT color palette

`pal_reach()`
  Return function to interpolate a REACH color palette

`point_reach()`
  Simple point chart

`scale_color()`
  Color scale constructor for REACH or AGORA colors

`scale_fill()`
  Fill scale constructor for REACH or AGORA colors

`subvec_not_in()`
  Subvec not in

`theme_reach()`
  ggplot2 theme with REACH color palettes